RSS   Podatności dla 'Netmask'   RSS

2021-04-01
 
CVE-2021-28918

CWE-20
 

 
Improper input validation of octal strings in netmask npm package v1.0.6 and below allows unauthenticated remote attackers to perform indeterminate SSRF, RFI, and LFI attacks on many of the dependent packages. A remote unauthenticated attacker can bypass packages relying on netmask to filter IPs and reach critical VPN or LAN hosts.

 
2021-03-30
 
CVE-2021-29418

CWE-20
 

 
The netmask package before 2.0.1 for Node.js mishandles certain unexpected characters in an IP address string, such as an octal digit of 9. This (in some situations) allows attackers to bypass access control that is based on IP addresses. NOTE: this issue exists because of an incomplete fix for CVE-2021-28918.

 


Copyright 2021, cxsecurity.com

 

Back to Top